﻿using System;
using System.Windows.Data;
using Iwtnw.Lib.SampleData.Models;
using Infragistics.Windows.DataPresenter;

namespace Demo.WpfApp.Helpers
{

	public class DataItemToRecordConverter : IMultiValueConverter
	{

		public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			var dataPresenterBase = values[0] as DataPresenterBase;
			if ( dataPresenterBase != null )
			{
				var active = values[1] as BorderCrossing;
				if ( active != null )
					return dataPresenterBase.GetRecordFromDataItem(active, true);
			}
			return null;
		}

		public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
		{
			return new[] { null, ( (DataRecord)value ).DataItem };
		}

	}

}
