﻿using System.Windows;
using Infragistics.Windows.Chart;

namespace Demo.WpfApp.Helpers
{
	public class XamChartSeriesBinder : DependencyObject
	{

		public static DependencyProperty BindingInfoProperty = DependencyProperty.RegisterAttached("BindingInfo", typeof(XamChartSeriesBindingInfo), typeof(XamChartSeriesBinder), new PropertyMetadata(new PropertyChangedCallback(BindingInfoChanged))); 
		
		public static void BindingInfoChanged(DependencyObject o, DependencyPropertyChangedEventArgs e)
		{
			var chart = o as XamChart;
			if ( chart == null )
				return;

			var prev = GetBindingInfo(chart);

			if ( prev != null && prev.TargetChart != null )
				prev.TargetChart = null;

			if ( e.NewValue != null )
				( (XamChartSeriesBindingInfo) e.NewValue ).TargetChart = chart;
		}

		public static void SetBindingInfo(DependencyObject target, XamChartSeriesBindingInfo info)
		{
			target.SetValue(BindingInfoProperty, info);
		}

		public static XamChartSeriesBindingInfo GetBindingInfo(DependencyObject target)
		{
			return (XamChartSeriesBindingInfo) target.GetValue(BindingInfoProperty);
		}

	}
}
