﻿using System;
using System.ComponentModel;
using System.Linq.Expressions;

namespace Demo.WpfApp.Models
{
	
	public class NotifyPropertyChanged: INotifyPropertyChanged	
	{
	
		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(string propertyName)
		{
			PropertyChangedEventHandler handler = PropertyChanged;

			if ( handler != null )
			{
				handler(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		public void OnPropertyChanged<TProperty>(Expression<Func<TProperty>> property)
		{
			var lambda = (LambdaExpression) property;
			MemberExpression memberExpression;

			if ( lambda.Body is UnaryExpression )
			{
				var unaryExpression = (UnaryExpression) lambda.Body;
				memberExpression = (MemberExpression) unaryExpression.Operand;
			}
			else
			{
				memberExpression = (MemberExpression) lambda.Body;
			}
			OnPropertyChanged(memberExpression.Member.Name);
		}

	}

}
