﻿using System;

namespace Demo.WpfApp.Models
{

	public class XamChartDataItem: NotifyPropertyChanged
	{

		private readonly string title;

		private string label;
		public string Label
		{
			get
			{
				return label;
			}

			set
			{
				if ( label == value )
					return;

				label = value;
				OnPropertyChanged(() => Label);
			}

		}

		private double val;
		public double Value
		{
			get
			{
				return val;
			}

			set
			{
				if ( val == value )
					return;

				val = value;
				OnPropertyChanged(() => Value);
				OnPropertyChanged(() => Tooltip);

			}

		}

		public string Tooltip
		{
			get { return (string.IsNullOrWhiteSpace(title) ? "" : title + Environment.NewLine) + Value;  }
		}

		public XamChartDataItem(string title, string label, double value)
		{
			this.title = title;
			Label = label;
			Value = value;
		}

	}


}
