﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using DemoDataSources.Models;

namespace DemoDataSources.WpfApp.ViewModels
{
	public class ChartViewModel: ViewModelBase
	{

		public string Title { get; set; }

		public ObservableCollection<KeyValuePair<string, int>> Details { get; set; }

		public ChartViewModel(BorderCrossing borderCrossing)
		{
			Title = borderCrossing.Year + " " + borderCrossing.Month + " " + borderCrossing.State + " " + borderCrossing.Port;

			Details = new ObservableCollection<KeyValuePair<string, int>>
			{
			  new KeyValuePair<string, int>("Buses", borderCrossing.Buses),
			  new KeyValuePair<string, int>("Bus Passengers", borderCrossing.BusPassengers),
			  new KeyValuePair<string, int>("Trucks", borderCrossing.Trucks),
			  new KeyValuePair<string, int>("Empty Trucks", borderCrossing.EmptyTrucks),
			  new KeyValuePair<string, int>("Loaded Trucks", borderCrossing.LoadedTrucks),
			  new KeyValuePair<string, int>("Trains", borderCrossing.Trains),
			  new KeyValuePair<string, int>("Empty Rail Containers", borderCrossing.EmptyRailContainers),
			  new KeyValuePair<string, int>("Loaded Rail Containers", borderCrossing.LoadedRailContainers),
			  new KeyValuePair<string, int>("Personal Vehicles", borderCrossing.PersonalVehicles),
			  new KeyValuePair<string, int>("Personal Vehicle Passengers", borderCrossing.PassengersPersonalVehicles),
			  new KeyValuePair<string, int>("Pedestrians", borderCrossing.Pedestrians)
			};
	
		}

	}

}
